#ifndef __ePaper_CFAP122250A00213_H__
#define __ePaper_CFAP122250A00213_H__
//=============================================================================
// "Arduino" example program for Crystalfontz ePaper. 
//
// This project is for the CFAP122250A0-0213 :
//
//   https://www.crystalfontz.com/product/cfap122250a00213
//=============================================================================
// Arduino digital pins used for the e-paper display 
#define EPD_BUSSEL  2
#define EPD_BUSY    3
#define EPD_RESET   4
#define EPD_DC      5
#define EPD_CS      10

void ePaper_Init(void);

void ePaper_short_Init(void);

void ePaper_POWERON(void);
void ePaper_POWEROFF(void);
void ePaper_Update_Full(void);
void ePaper_Update_Partial(void);
void Load_LUT_For_Full_Update(void);
void Load_LUT_For_Partial_Update(void);
void SetDisplayArea(uint8_t  RAM_XST,uint8_t  RAM_XEND,
                    uint16_t RAM_YST,uint16_t RAM_YEND);
void Load_Flash_Image_To_Display_RAM(uint16_t width_pixels,
                                     uint16_t height_pixels,
                                     const uint8_t *image);
void Show_Full_Screen_Image(uint16_t width_pixels,
                            uint16_t height_pixels,
                            const uint8_t *image);
void Partial_Update_Init_Background(uint16_t width_pixels,
                                    uint16_t height_pixels,
                                    const uint8_t *image);
void Partial_Update_Display_Area(uint16_t x_location_bytes,
                                 uint16_t y_location_pixels,
                                 uint16_t width_pixels,
                                 uint16_t height_pixels,
                                 const uint8_t *image);                                    
//=============================================================================
#endif //  __ePaper_CFAP122250A00213_H__
